Update property option details
Update details of the property option.
Required permissions: PRODUCT
put/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+propertyUidstringRequiredPattern:
Reference to a product property definition
^[A-Za-z0-9-_]+propertyOptionUidstringRequiredPattern:
Reference to an allowed option of a product property definition
^[A-Za-z0-9-_]+Body
An pre-defined, allowed value for a list or checklist property.
propertyOptionNamestringRequired
externalIdstringOptional
Responses
200
Example response
application/json
An pre-defined, allowed value for a list or checklist property.
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyNamestringRequired
propertyOptionUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyOptionNamestringRequired
externalIdstringRequired
put/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
PUT /v2/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"propertyOptionName": "text",
"externalId": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"propertyUid": "text",
"propertyName": "text",
"propertyOptionUid": "text",
"propertyOptionName": "text",
"externalId": "text"
}Last updated
Was this helpful?

